## org.eclipse.emf.importer.ui.contribution
Class ModelImporterManager

    java.lang.Object
      org.eclipse.emf.converter.ui.contribution.ModelConverterManager<ModelImporterDescriptor>
          org.eclipse.emf.importer.ui.contribution.ModelImporterManager

    public class ModelImporterManager

extends ModelConverterManager<ModelImporterDescriptor>

Since:
  2.2.0

Nested Class Summary
`static class` `ModelImporterManager.ModelImporterDescriptorImpl`
`static class` `ModelImporterManager.ModelImporterDescriptorWizardNode`

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.ModelConverterManager
`ModelConverterManager.ModelConverterDescriptorImpl, ModelConverterManager.ModelConverterDescriptorLabelProvider, ModelConverterManager.ModelConverterDescriptorWizardNode`

Field Summary
`static ModelImporterManager` `INSTANCE`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.ModelConverterManager
`descriptors`

Constructor Summary
`ModelImporterManager()`

Method Summary
`ModelImporterDescriptor` `createFromContribution(IConfigurationElement configurationElement)`
`protected ModelImporterManager.ModelImporterDescriptorImpl` `createModelConverterDescriptorImpl()`
`protected ModelImporterManager.ModelImporterDescriptorWizardNode` `createModelConverterDescriptorWizardNode(ModelImporterDescriptor descriptor)`
`java.util.List<ModelImporterDescriptor>` `filterModelImporterDescriptors(int type)`
`java.util.List<ModelImporterDescriptor>` `filterModelImporterDescriptors(java.lang.String extension)`
`protected java.lang.String` `getElementName()`
`protected java.lang.String` `getExtensionPointId()`
`ModelImporterDescriptor` `getModelImporterDescriptor(java.lang.String id)`
`protected java.lang.String` `getPluginId()`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.ModelConverterManager
`createModelConverterDescriptorWizardNodeMap, dispose, getModelConverterDescriptor, getModelConverterDescriptors, retrieveContributedModelConverterDescriptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ModelImporterManager INSTANCE

Constructor Detail

### ModelImporterManager

    public ModelImporterManager()

Method Detail

### getPluginId

    protected java.lang.String getPluginId()

  Specified by:
    `getPluginId` in class `ModelConverterManager<ModelImporterDescriptor>`

### getExtensionPointId

    protected java.lang.String getExtensionPointId()

  Specified by:
    `getExtensionPointId` in class `ModelConverterManager<ModelImporterDescriptor>`

### getElementName

    protected java.lang.String getElementName()

  Specified by:
    `getElementName` in class `ModelConverterManager<ModelImporterDescriptor>`

### createModelConverterDescriptorImpl

    protected ModelImporterManager.ModelImporterDescriptorImpl createModelConverterDescriptorImpl()

  Specified by:
    `createModelConverterDescriptorImpl` in class `ModelConverterManager<ModelImporterDescriptor>`

### createModelConverterDescriptorWizardNode

    protected ModelImporterManager.ModelImporterDescriptorWizardNode createModelConverterDescriptorWizardNode(ModelImporterDescriptor descriptor)

  Specified by:
    `createModelConverterDescriptorWizardNode` in class `ModelConverterManager<ModelImporterDescriptor>`

### getModelImporterDescriptor

    public ModelImporterDescriptor getModelImporterDescriptor(java.lang.String id)

### createFromContribution

    public ModelImporterDescriptor createFromContribution(IConfigurationElement configurationElement)

  Overrides:
    `createFromContribution` in class `ModelConverterManager<ModelImporterDescriptor>`

### filterModelImporterDescriptors

    public java.util.List<ModelImporterDescriptor> filterModelImporterDescriptors(int type)

### filterModelImporterDescriptors

    public java.util.List<ModelImporterDescriptor> filterModelImporterDescriptors(java.lang.String extension)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.